Subject: bug#53507: [External] : bug#53507: 27.1; syntax highlight in the eval-expression prompt

From: Drew Adams <[email-masked]>
Date: Thu, 27 Jan 2022 00:06:15 +0000

> A part that currently is not that well covered in the
> minibuffer, in my opinion, is multi-line expression editing.

I suppose just multiline editing is the main thing
that needs love - i.e., independent of what the
input might be.

As for multiline Lisp expression editing (as opposed
to better support for multiline input in general), I
guess what you mean is support for indentation and
operations on sexps, e.g. motion.  And you mentioned
font-locking.  Is there something more than that?
___

But as for `eval-expression' enhancements, I repeat
that IMO the main need for improvement is wrt the
output.  I think it's far more common to deal with a
complex output value than it is to input a complex
sexp for evaluation.

You'll no doubt point out that if we had better
input support users would use `M-:' to evaluate
more complex sexps. ;-)

Still, I think it'll remain the case that complex
sexps are eval'd more often in other ways (e.g.
`C-x C-e'), and that complex sexps will continue to
be more common on output than on input.
___

Yes, my comments here are no doubt a bit of a
distraction from the request - sorry.  But we could
have better treatment of the output immediately.
And we could bind `M-:' to `pp-eval-expression' by
default, now.